﻿var error_messages = {
  INVALID_EMAIL_FORMAT:"Invalid email format.",
  NAME_BLANK:"Name cannot be blank",
  INVALID_NUMERIC_FORMAT:"Only numbers are allowed.",
  INVALID_ALPHABETS_FORMAT:"Only alphabetical characters are allowed.",
  INVALID_NAME_FORMAT:"Only alphanumeric characters are allowed. Cannot start with space or numeric value",
  MAXIMUM_LENGTH_EXCEDDED:" The maximum length for this field is (0)",
  NORMAL_SMTP_PORT:"The normal SMTP server port is 25.",
  IPADDRESS_FIELD_0:"Field 0 should be between 1 and 255 as network ID of 0 is reserved.",
  INVALID_IPADDRESS_FIELD_1:"Value cannot be 0.0.0.0 or 255.255.255.255.",
  INVALID_IPADDRESS_FIELD_2:"Value cannot be 255.255.255.255.",
  CALL_LOG_EXTENSIONS:"Up to 3 extensions can be configured to have access to the call log.",
  SAVE_SUCCESSFUL:" successfully saved to IP Office.",
  DELETE_SUCCESSFUL:" deleted successfully from IP Office.",
  DELETE_FAILED:" delete failed.",	  
  DATA_RETRIEVE_SUCCESSFULL:"Data retrieved from IP Office successfully.",
  SAVE_FAILED:" save failed.",
  SAVE_CHANGES:"Record not saved. Please save your changes.",
  DATA_SYNCH:"Data has been changed by some other source. Would you like to synchronize it with IP Office?",
  SERVER_INTERNAL_ERROR:"Server internal error",
  REQUESTED_OPERATION_ERROR:"Error performing requested operation for the following property: ",
  XML_PARSE_ERROR:"Error during xml parse",
  URI_ERROR:"One or more parameters in URI string are invalid.",
  INSUFFICENT_RIGHTS_ERROR:"User does not have sufficient rights to perform this operation for this service",
  SECURITY_ERROR:"Security internal error",
  INCORRECT_CREDENTIALS_ERROR:"Incorrect credentials",
  INCORRECT_PASSWORD_ERROR:"Incorrect password",
  DIGEST_AUTHENTICATION_ERROR:"Digest authentication: incorrect response",
  SERVICE_USER_RIGHTS_ERROR:"Failed to retrieve service user rights",
  INVALID_USER_NAME:"User name is invalid",
  DUPLICATE_USER:"This user name already exists.",
  SERVICE_USER_NOT_FOUND:"Service User not found",
  OLD_PASSWORD_INVALID:"Old password invalid",
  NEW_PASSWORD_INVALID:"New password invalid",
  CHANGE_PASSWORD_ERROR:"Operation to change password failed",
  CHANGE_OWN_PASSWORD_ERROR:"Changing own password is not allowed",
  GUID_ERROR:"GUID parameter is not provided",
  WRONG_PARAMETER_SPECIFIED:"Wrong type parameter specified",
  REBOOT_PENDING:"These modifications will be effective after IP Office reboot. Please press the reboot link on the header.",
  INVALID_TELEPHONE_NUMBER:"Not a valid telephone number. Valid digits are 0-9,*,# and ?. ?=Wildcard.",
  INVALID_EMERGENCY_NUMBER:"Not a valid emergency number. Valid digits are 0-9.",
  INVALID_BREAK_DIAL_TONE_DIGIT:"Not a valid number. Valid digits are 0-9.",
  INVALID_DATE_FORMAT:"Invalid date format.",
  SAVE_FAILED_TO_IPO:" save to IP Office failed.",
  AUTOATTENDENT_DATA_RECEIVED_SUCEESSFULLY:"Auto Attendant Data retrieved from IP Office successfully.",
  AUTOATTENDANT_MAXLIMIT:"You cannot create more than 9 auto attendants.", 
  AUTOATTENDANT_MINLIMIT:"There should be at least one auto attendant.",
  UPDATED_RECORD:"updated successfully.",
  CREATED_RECORD:" created successfully on IP Office.",
  REFRESH_WITH_IPO_CHANGES:"Refresh screen with IP Office changes",
  IGNORE_IPOFFICE_CHANGES:"Ignore IP Office changes",
  ALWAYS_REFRESH:"Always refresh screen with IP Office changes",
  AUX_EQUIPMENT_DATA_RETRIEVE_ERROR:"Auxiliary equipment data could not be retrieved.",
  AUX_EQUIPMENT_SAVE_FAILURE:"Auxiliary equipment data could not be saved.",
  GROUP_DATA_RETRIEVE_ERROR:"Groups could not be retrieved.",
  GROUP_SAVE_FAILURE:"Group could not be saved.",
  SERVICE_USER_SAVE_FAILURE:"Service user could not be saved.",
  COMMAND_EXECUTION_FAILURE:"has failed.",
  COPY_SD_CARD_CARD_NOT_AVILABLE:"SD card is not available for Copy",
  COPY_SD_CARD_COPY_IN_PROGRESS:"System is busy with another operation. Please try again later.",
  ACTIVE_VIEW_ERROR:"Please rectify the errors before proceeding.",
  INVALID_TCP_PORT:"TCP port number should be less than 34463",
  INVALID_NUMBER_FORMAT:"Only comma separated numbers are allowed.",
  REQUIRED_FIELD_ERROR:"This field is required.",
  COMMA_SEPARATED_NUMBER_FORMAT:"Only numbers or comma separated numbers are allowed. Comma is allowed neither at the beginning nor at the end.",
  INVALID_SYSTEM_PASSWORD:"Invalid password. Password can contain up to 4 numeric characters.",
  INVALID_PORT_NO:"Invalid port number. The value must be between zero and 65535.",
  INVALID_SPEED_DIAL_NO:"Invalid number. This field can contain up to 28 numeric characters.",
  INVALID_ACCOUNT_CODE_NO:"Invalid number. This field can contain up to 6 numeric characters.",
  INVALID_SPEED_DIAL_NAME:"Invalid name. This field can contain up to 31 characters.",
  STUN_DATA_NOT_AVAILABLE:"STUN data not available yet.",
  IMPEDANCE_MATCH_DATA_NOT_AVAILABLE:"Impedance Match result is not available yet.",
  LOGIN_RBAC_ERROR:"Login failed as Role Based access data could not be retrieved.",
  RBAC_DETAILS_RETRIEVE_ERROR:"Role Based Access details could not be retrieved.",
  INVALID_LOGIN:"Login failed. Invalid Username or Password.",
  PWD_NOT_MATCH_ERROR:"New Password and Confirm Password do not match.",
  PWD_LENGTH_ERROR:"Password should have at least 6 characters.",
  COULD_NOT_SEIZE_LINE:"Line is not seized. Please check the cable connection.",
  LOCALE_NOT_SUPPORTED:"Current locale is not supported.",
  COMPANDING_NOT_ULAW:"Companding is not U-Law.",
  INTERNAL_IMPEDANCE_TESTER_ERROR:"Internal impedance tester error",
  NOT_READY:"System is not ready. Please try again.",
  APPLY_IMPEDANCEPRE:"Select the lines to which the best matched balance impedance",
  APPLY_IMPEDANCEPOST:"should be applied",
  OWN_USER_TASK_RESTRICTION:"User does not have permission to access other users' details due to Own User right.",
  CONFIG_APPLY_FAILED:"Configuration could not be applied to IP Office.",
  CONFIG_UPLOAD_FAILED:"Configuration could not be uploaded.",
  REFLECTOR_FAILED:"Configuration could not be uploaded due to technical reasons. Please retry after one minute.",
  EXTN_RENUMBER_FAILED:"Extension renumbering failed.",
  TEXTFIELD_MINIMUM_LENGTH:" The minimum length for this field is (0)",
  MAXIMUM_LENGTH_EXCEDDED_MESSAGE:" The maximum length for this field is ",
  TEXTFIELD_MINIMUM_LENGTH_MESSAGE:" The minimum length for this field is ",
  CREATE_FAILED:" create failed.",
  INVALID_IPADDRESS_FORMAT:"Invalid IP Address format.",
  INVALID_NUMERIC_FORMAT_NO_SPACES:"Only numbers are allowed. Spaces are not allowed.",
  MAX_DIAL_NUMBERS:"Dial Numbers cannot exceed 5.",
  NO_MODIFICATION:"There is no modification.",
  DID_BLANK:"At least one of DID Number and Incoming CLI must be entered.",
  DIAL_NUMBER_COMMA_SEPARATED_NUMBER_FORMAT:"Only numbers or comma separated numbers are allowed. A number's length cannot exceed 5 digits. Comma is allowed neither at the beginning nor at the end.",
  EMERGENCY_LIST_EMPTY:"First entry in Emergency Number List cannot be blank.",
  BACKUP_STARTED:"Backup Started ",
  RESTORE_STARTED:"Restore Started ",
  BACKUP_ISSUE:"Backup Issue ",
  RESTORE_ISSUE:"Restore Issue ",
  BACKUP_APPLET_ERROR:"Your Browser doesn't support JAVA applets or blocks them.",
  BACKUP_JAVA_ERROR:"Please install a JAVA Runtime Version 1.6.18 or higher and allow execution of JAVA applets.",
  BACKUP_INITIALISED:"Backup has been initiated to SD Card.",
  RESTORE_INITIALISED:"Restore has been initiated from SD Card.",
  BACKUP_START_ERROR:"Another backup or restore is in progress, so couldn't start backup.",
  BACKUP_START_UNKNOWN_ERROR:"Couldn't start backup due to an unexpected error.",
  RESTORE_START_ERROR:"Another backup or restore is in progress, so couldn't start restore.",
  RESTORE_START_UNKNOWN_ERROR:"Couldn't start restore due to an unexpected error.",
  BACKUP_GET_STATUS_ERROR:"Device is busy processing restore, so couldn't get status for backup",
  BACKUP_GET_STATUS_NOPROGRESS_ERROR:"Can not show progress or no progress to show.",
  BACKUP_GET_STATUS_UNKNOWN_ERROR:"Couldn't get status for backup due to an unexpected error.",
  RESTORE_GET_STATUS_ERROR:"Device is busy processing backup, so couldn't get status for restore.",
  RESTORE_GET_STATUS_UNKNOWN_ERROR:"Couldn't get status for restore due to an unexpected error.",
  BACKUP_STATUS:"Backup Status ",
  RESTORE_STATUS:"Restore Status ",
  IDLE_STATUS:" Idle",
  BCKUP_COMPLETED_STATUS:" Backup Completed ",  
  BCKUP_INITIALISED_STATUS:" Backup Initializing.",
  RESTORE_COMPLETED_STATUS:" Restore Completed ",  
  RESTORE_INITIALISED_STATUS:" Restore Initializing.",  
  SPEED_DIAL_SAVE_1:"Speed dial ",
  SPEED_DIAL_SAVE_SUCCESSFUL:" successfully saved to IP Office.",
  SPEED_DIAL_DELETE_SUCCESSFUL:" deleted successfully from IP Office.",
  SPEED_DIAL_SAVE_FAILED:" save failed.",
  SPEED_DIAL_DELETE_FAILED:" delete failed.",
  REBOOT_MSG_1:"Not all data got saved to IP Office, Please reboot the system and try again.",
  REBOOT_MSG_2:"Please reboot the system to activate changes.",
  REBOOT_MSG_3:"Not all data got saved to IP Office, Please reboot the system immediately and try again.",
  REBOOT_MSG_4:"Please reboot the system immediately to activate changes.",
  REBOOT_MSG_5:"Please reboot the IP Office to activate changes done to:",  
  DATA_RETRIEVE_ERROR:"Data could not be retrieved from IP Office due to internal error. Please try again.",
  DATA_UPDATE_ERROR:"Data could not be saved to IP Office due to an internal error. Please try again.",
  IPO_CONNECTION_LOST:"Connection with IP Office has been lost. Please try again.",
  SERVICE_NOT_AVAILABLE:"IP Office is currently unavailable. Please try again.",
  REQUEST_TIMEOUT:"Request timed out waiting for response from IP Office. Please try again.",
  INVALID_SYSTEM_NAME:"Invalid system name. Do not use punctuation characters such as #, ?, /, -,. and ,.",
  CLEAR_CACHE:"Connection with IP Office has been lost. Please try again. If security settings were reset, clear the browser’s cache.",
  INVALID_NO_OF_LINES:"Number of lines in system are (X0), only (X1) line appearances will be available per phone.",
  REBOOT_ERROR:"IP Office reboot command has failed."
};
