#!/usr/bin/perl

# Usage: 	check_dhcp_flag.pl <intf>
# Purpose:	Check whether <intf> is configured as a DHCP client or not
# Works on: 	CentOS 5.2 and FreeBSD 6.3

$os_name=$^O;

if ($os_name eq "linux")
{
	$filename = "/etc/sysconfig/network-scripts/ifcfg-$ARGV[0]";
	if (open(file, $filename))
	{
		while(<file>)
		{
       			if ($_ =~ /^ *BOOTPROTO *= *(.*)$/)
			{
				if (lc($1) =~ /^dhcp[ #]*/)
				{
					exit(0);
				}
				last;
			}
		}
	}
	exit(1);
}
if ($os_name eq "freebsd")
{
	$filename = "/etc/rc.conf";
	if (open(file, $filename))
	{
		while(<file>)
		{
			if (/ifconfig_$ARGV[0]/)
			{
				if ($' =~ /DHCP/)
				{
					exit(0);
				}
				last;
			}
		}
	}
	exit(1);
}
exit(1);

