#!/usr/bin/env python
import sys, pexpect
import json
import socket, struct, fcntl, os
import pycurl
import urllib
import cStringIO
from datetime import datetime
from StringIO import StringIO

sGoogle_transfer_failure_errcode = 1
sGoogle_success_code = 200

GOOGLE_TOKEN_URL    = "http://metadata.google.internal/computeMetadata/v1/instance/service-accounts/default/token"
GOOGLE_STORAGE_URL  = "http://storage.googleapis.com"

google_storage_token = 0

progline = " "
lpth = " "              
rpth = " "


# exit(p.exitstatus)

# Used for debug purposes
def print_(buff):
    outFile = open('/tmp/googlestorageput.log', 'a')
    outFile.write("{0}:  {1}\n".format(datetime.now(), buff))
    outFile.close()


class IPOGoogleStorage():
    # Class which does the heavy lifting
    def __init__(self):
        get_google_token()
        filetransfer_google()


def get_google_token():
    global google_storage_token
    # Build and execute a REST request to get the Google token for this instance
    response = cStringIO.StringIO()
    req = pycurl.Curl()
    req.setopt(pycurl.URL, GOOGLE_TOKEN_URL)
    req.setopt(pycurl.HTTPGET, 1)
    req.setopt(pycurl.HTTPHEADER, ['Metadata-Flavor: Google'])
    req.setopt(req.WRITEFUNCTION, response.write)
    req.perform()
    if req.getinfo(pycurl.HTTP_CODE) != sGoogle_success_code:
        exit(sGoogle_transfer_failure_errcode)
    req.close()
    # get the json document in the response containing the token
    jsondoc = json.loads(response.getvalue())
    google_storage_token = jsondoc["access_token"]
    print_("Google access token: {0}".format(google_storage_token))

    
def filetransfer_google():

    global google_storage_token
    response = cStringIO.StringIO()
    params = [('access_token', google_storage_token)]
    pairs = urllib.urlencode(params)
    
    if os.path.isdir(lpth):
       os.chdir(lpth)
       filelist = [ f for f in os.listdir(".")]
    else:
       filelist = [lpth]

    for backupfile in filelist:
        try:
           f = open(backupfile, "rb")
           filesize = os.path.getsize(backupfile)
           store_url = GOOGLE_STORAGE_URL + rpth 
           print_("Destination URL: {0}".format(store_url))
           req = pycurl.Curl()
           # Build and execute a REST request to transfer a file to the Google Storage.
           req.setopt(pycurl.URL, store_url + '?' + pairs)
           req.setopt(pycurl.CUSTOMREQUEST, "PUT")
           req.setopt(pycurl.READFUNCTION, f.read)
           req.setopt(pycurl.UPLOAD, 1)
           req.setopt(pycurl.HTTPHEADER, ['Content-Type: text/plain', 'Content-Length:' + str(filesize)])
           req.perform()
           print_("status code: {0}".format(str(req.getinfo(pycurl.HTTP_CODE))))
           if req.getinfo(pycurl.HTTP_CODE) != sGoogle_success_code:
              sys.exit(sGoogle_transfer_failure_errcode)
           else:
              req.close()
              f.close()
              exit(sGoogle_success_code)
              break
           break
        except Exception:
           exit(sGoogle_transfer_failure_errcode)


    
if __name__ == '__main__':

   #Get command line parms.
   progline = sys.argv.pop(0)
   lpth = sys.argv.pop(0)
   rpth = sys.argv.pop(0)

   IPOGoogleStorage()
   

