#!/bin/bash
# Call Web Control functionality to stop Avaya services and reboot the system

exec < /dev/null &> /tmp/.ipolreboot
set -x

reboot_option="OPTION_1"
cwd=`pwd`

if [ -f /etc/sysconfig/webcontrol ]; then
   . /etc/sysconfig/webcontrol
fi
if [ -z "$WEBCONTROL_HOME" ]; then
    WEBCONTROL_HOME=/opt/webcontrol
fi

function service_stop () {
   local tservice="$1"
   if [ -f /etc/rc.d/init.d/${tservice} ]; then
        service ${tservice} stop &
   fi
}

function service_forcestop () {
   local tservice="$1"
   if [ -f /etc/rc.d/init.d/${tservice} ]; then
        service ${tservice} forcestop
   fi
}

function system_reboot () {
   if [ -f /sbin/reboot ]; then
        /sbin/reboot
   elif [ -f /sbin/shutdown ]; then
        /sbin/shutdown -r now
   fi
}

if [ "$reboot_option" == "OPTION_1" ]; then
    if [ -f /usr/bin/python ]; then
        cd $WEBCONTROL_HOME
        /usr/bin/python -c 'import system_rest_api;system_rest_api.shutdown_reboot(True)'
        cd $cwd
    fi
elif [ "$reboot_option" == "OPTION_2" ]; then
    service_stop "isa"
    system_reboot
else
    system_reboot
fi
