#!/usr/bin/perl

# Usage: 	set_snmp_proxy.pl  <port> <ro-community-name> <rw-community-name> [<trap destination>]
# Purpose:	Configure net-snmp to delegate requests for Avaya-specific MIBs to SNMP agent running on <port>
# Works on: 	CentOS 5.2, CentOS 4.6 with default net-snmp installation

use warnings;
use File::Copy;
$filename1 = '/etc/snmp/snmpd.conf';
$filename2 = 'new-snmpd.conf';
$wdconfig = '/etc/sysconfig/watchdog';
$wdconfignew = 'new-watchdog';

$proxy = "proxy -v 1 -c $ARGV[1] udp:127.0.0.1:$ARGV[0] .1.3.6.1.4.1.6889\n";
$proxy2 = "proxy -v 1 -c $ARGV[1] udp:127.0.0.1:$ARGV[0] .1.3.6.1.2.1.47\n";
$proxy3 = "proxy -v 1 -c $ARGV[1] udp:127.0.0.1:$ARGV[0] .1.3.6.1.2.1.118\n";
$proxy4 = "proxy -v 1 -c $ARGV[1] udp:127.0.0.1:$ARGV[0] .1.3.6.1.2.1.1\n";
$proxy5 = "proxy -v 1 -c $ARGV[1] udp:127.0.0.1:$ARGV[0] .1.3.6.1.2.1.4\n";
$proxy6 = "proxy -v 1 -c $ARGV[1] udp:127.0.0.1:$ARGV[0] .1.3.6.1.2.1.5\n";
$proxy7 = "proxy -v 1 -c $ARGV[1] udp:127.0.0.1:$ARGV[0] .1.3.6.1.2.1.6\n";
$proxy8 = "proxy -v 1 -c $ARGV[1] udp:127.0.0.1:$ARGV[0] .1.3.6.1.2.1.7\n";
$proxy9 = "proxy -v 1 -c $ARGV[1] udp:127.0.0.1:$ARGV[0] .1.3.6.1.2.1.11\n";
$rocomm = "rocommunity $ARGV[1]\n";
$rwcomm = "";
$descr = "";
$name = "";
$contact = "";
$location = "";
### By default, identify the device as an IP Office on PC (smepCfg2)
if ($ARGV[2] ne "") { $rwcomm = "rwcommunity $ARGV[2]\n"; }
$sysobjid = "";
if ((@ARGV == 4))
	{
	$wddevid = "export WDOG_SNMP_DEVID=\"$ARGV[3]\"\n";
	}

if ( (@ARGV == 3) && (open(file2, ">$filename2")))
	{
	if (open(file1, $filename1)) 
		{
		while($line = <file1>)
			{
	       		if ($line =~ /^ *proxy *.*1\.3\.6\.1\.4\.1\.6889 *$/)
				{
				$line =  $proxy;
				$proxy = '';
				}
	       		elsif ($line =~ /^ *proxy *.*1\.3\.6\.1\.2\.1\.47*$/)
				{
				$line =  $proxy2;
				$proxy2 = '';
				}				
	       		elsif ($line =~ /^ *proxy *.*1\.3\.6\.1\.2\.1\.118*$/)
				{
				$line =  $proxy3;
				$proxy3 = '';
				}
                        elsif ($line =~ /^ *proxy *.*1\.3\.6\.1\.2\.1\.1*$/)
                                {
                                $line =  $proxy4;
                                $proxy4 = '';
                                }
                        elsif ($line =~ /^ *proxy *.*1\.3\.6\.1\.2\.1\.4*$/)
                                {
                                $line =  $proxy5;
                                $proxy5 = '';
                                }
                        elsif ($line =~ /^ *proxy *.*1\.3\.6\.1\.2\.1\.5*$/)
                                {
                                $line =  $proxy6;
                                $proxy6 = '';
                                }
                        elsif ($line =~ /^ *proxy *.*1\.3\.6\.1\.2\.1\.6*$/)
                                {
                                $line =  $proxy7;
                                $proxy8 = '';
                                }
                        elsif ($line =~ /^ *proxy *.*1\.3\.6\.1\.2\.1\.7*$/)
                                {
                                $line =  $proxy8;
                                $proxy8 = '';
                                }
                        elsif ($line =~ /^ *proxy *.*1\.3\.6\.1\.2\.1\.11*$/)
                                {
                                $line =  $proxy9;
                                $proxy9 = '';
                                }
			elsif ($line =~ /^ *rocommunity /)
				{
				$line = $rocomm;
				$rocomm = '';
				}
			elsif ($line =~ /^ *rwcommunity /)
				{
				$line = $rwcomm;
				$rwcomm = '';
				}
			elsif ($line =~ /^ *sysDescr /)
				{
				$line = $descr;
				$descr = '';
				}
			elsif ($line =~ /^ *sysName /)
				{
				$line = $name;
				$name = '';
				}
			elsif ($line =~ /^ *syscontact /)
				{
				$line = $contact;
				$contact = '';
				}
			elsif ($line =~ /^ *syslocation /)
				{
				$line = $location;
				$location = '';
				}
			elsif ($line =~ /^ *sysobjectid /)
				{
				$line = $sysobjid;
				$sysobjid = '';
				}
			elsif ($line =~ /^\s*[^#]\s*\S/)
				{
				$line = '# ' . $line;
			        }	
			print file2 $line;
			}
		close(file1);
		}
	print file2 $proxy;
	print file2 $proxy2;
	print file2 $proxy3;
	print file2 $proxy4;
	print file2 $proxy5;
	print file2 $proxy6;
	print file2 $proxy7;
	print file2 $proxy8;
	print file2 $proxy9;
	print file2 $rocomm;
	print file2 $rwcomm;
	print file2 $descr;
	print file2 $name;
	print file2 $contact;
	print file2 $location;
	print file2 $sysobjid;
	close(file2);
	move($filename2, $filename1);
	}

if ((@ARGV == 4) && (open (file2, ">$wdconfignew")))
	{

	if (open(file1, $wdconfig)) 
		{
		while($line = <file1>)
			{
			if ($line =~ /^ *export *WDOG_SNMP_DEVID *=/)
				{
				$line =  $wddevid;
				$wddevid = '';
				}
			print file2 $line;
			}
		close(file1);
		}
	print file2 $wddevid;
	close(file2);
	move($wdconfignew, $wdconfig);
	}
