#!/usr/bin/perl

# Usage: 	set_watchdog_trap_dest.pl <address> <proto> <port>
# Purpose:	Configure watchdog to send SNMP traps through protocol <proto> to agent listening on <address> and <port> 

use warnings;
use File::Copy;

$filename1 = "/etc/sysconfig/watchdog";
$filename2 = "new-watchdog";
$found_addr = 0;
$found_proto = 0;
$found_port = 0;
$changed = 0;
if (open(file1, $filename1) && open(file2, ">$filename2"))
{
	while($line = <file1>)
		{
       		if ($line =~ /^( *[^#].*WDOG_SNMP_ADDRESS_SEND *=) *(.*)$/)
			{
			if ($2 ne $ARGV[0])
				{
				$line = "$1$ARGV[0]\n";
				$changed++;
				}
			$found_addr++;
			}
		elsif ($line =~ /^( *[^#].*WDOG_SNMP_PROTOCOL *=) *(.*)$/)
			{
			if ($2 ne $ARGV[1])
				{
				$line = "$1$ARGV[1]\n";
				$changed++;
				}
			$found_proto++;
			}
		elsif ($line =~ /^( *[^#].*WDOG_SNMP_PORT *=) *(.*)$/)
			{
			if ($2 ne $ARGV[2])
				{
				$line = "$1$ARGV[2]\n";
				$changed++;
				}
			$found_port++;
			}
		print file2 $line 
		}
	$found_addr || print file2 "export WDOG_SNMP_ADDRESS_SEND=$ARGV[0]\n";
	$found_proto || print file2 "export WDOG_SNMP_PROTOCOL=$ARGV[1]\n";
	$found_port || print file2 "export WDOG_SNMP_PORT=$ARGV[2]\n";
	close(file1);
	close(file2);
	($found_addr && $found_proto && $found_port && !$changed) || (move($filename2,$filename1) && system("service watchdog stop;service watchdog start"));
}

