#!/bin/bash

##################################################
# make up the fetch file progress percentage

##################################################

g_NULL=/dev/null
declare -r cmd_GREP=/bin/grep
declare -r cmd_SED=/bin/sed
declare -r cmd_LS=/bin/ls
declare -r cmd_DU=/usr/bin/du
declare -r cmd_CUT=/bin/cut
declare -r cmd_HEAD=/usr/bin/head
declare -r cmd_TAIL=/usr/bin/tail
declare -r cmd_EXPR=/usr/bin/expr

declare -r file_UWSLOG=/opt/Avaya/uws_logs/uwsfetch.log

if [ ! -e $file_UWSLOG ]; then
   exit 0
fi

${cmd_GREP} Succes ${file_UWSLOG}
if [ "$?" -eq "0" ]; then
   exit 100
fi
${cmd_GREP} Failed ${file_UWSLOG}
if [ "$?" -eq "0" ]; then
   exit 0
fi
${cmd_GREP} Creating ${file_UWSLOG}
if [ "$?" -eq "0" ]; then
   rpdir="/var/www/html/avaya/uws"
   rpverh=`${cmd_LS} -t $rpdir | ${cmd_HEAD} -1`
   rpvert=`${cmd_LS} -t $rpdir | ${cmd_HEAD} -2 | ${cmd_TAIL} -1`
   if [[ "$rpverh" == "$rpvert" ]]; then
      rpver=$rpverh
   else
      rpverhbase=$(basename "$rpverh")
      rpvertbase=$(basename "$rpvert")
      rpverpttrn='[0-9]+\.[0-9]\.[0-9]-[0-9]+'
      if [[ $rpverhbase =~ $rpverpttrn ]]; then
         if [[ $rpvertbase =~ $rpverpttrn ]]; then
            rpverhmajor="${rpverhbase%%.*}"
            rpverhnrest="${rpverhbase#*.}"
            rpverhminor="${rpverhnrest%%.*}"
            rpverhbdver=`echo $rpverhbase | cut -d'-' -f2`
            rpvertmajor="${rpvertbase%%.*}"
            rpvertnrest="${rpvertbase#*.}"
            rpvertminor="${rpvertnrest%%.*}"
            rpvertbdver=`echo $rpvertbase | cut -d'-' -f2`
            if [[ "$rpverhmajor" -ne "$rpvertmajor" ]]; then
               if [[ "$rpverhmajor" -gt "$rpvertmajor" ]]; then
                  rpver=$rpverh
               else
                  rpver=$rpvert
               fi
            else
               if [[ "$rpverhminor" -ne "$rpvertminor" ]]; then
                  if [[ "$rpverhminor" -gt "$rpvertminor" ]]; then
                     rpver=$rpverh
                  else
                     rpver=$rpvert
                  fi
               else
                  if [[ "$rpverhbdver" -gt "$rpvertbdver" ]]; then
                     rpver=$rpverh
                  else
                     rpver=$rpvert
                  fi
               fi
            fi
         else
            rpver=$rpverh
         fi
      else
         rpver=$rpvert
      fi
   fi
   rpdir="/var/www/html/avaya/uws/$rpver"
   if [ ! -e $rpdir ]; then
      exit 51
   fi
   rpnow=`${cmd_DU} -s $rpdir | ${cmd_CUT} -f 1`
   rpsup=29994
   rpcal=`${cmd_EXPR} $rpnow / $rpsup / 2 + 50`
   if [ $rpcal -gt 100 ]; then
      rpcal=100
   fi
   exit $rpcal
fi
${cmd_GREP} 'Copying\|Retrieving' ${file_UWSLOG}
if [ "$?" -eq "0" ]; then
   dldir="/tmp/uwsfetch"
   if [ -e $dldir ]; then
      dlver=`${cmd_LS} -t $dldir | ${cmd_HEAD} -1`
   else
      exit 0
   fi
   dldir="/tmp/uwsfetch/$dlver"
   if [ -e $dldir ]; then
      dlnow=`${cmd_DU} -s $dldir | ${cmd_CUT} -f 1`
   else
      exit 0
   fi
   dlsup=33140
   dlcal=`${cmd_EXPR} $dlnow / $dlsup / 2`
   if [ $dlcal -eq 0 ]; then
      dlcal=1
   fi
   exit $dlcal
else
   exit 1
fi
